%global         momorel 1

Name:           perl-PPI
Version:        1.218
Release:        %{momorel}m%{?dist}
Summary:        Parse, Analyze and Manipulate Perl (without perl)
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/PPI/
Source0:        http://www.cpan.org/authors/id/M/MI/MITHALDU/PPI-%{version}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl >= 5.6.0
BuildRequires:  perl-Class-Inspector >= 1.22
BuildRequires:  perl-Clone >= 0.30
BuildRequires:  perl-Digest-MD5 >= 2.35
BuildRequires:  perl-ExtUtils-MakeMaker
BuildRequires:  perl-File-Remove >= 1.42
BuildRequires:  perl-IO-String >= 1.07
BuildRequires:  perl-List-MoreUtils >= 0.16
BuildRequires:  perl-Scalar-Util >= 1.20
BuildRequires:  perl-PathTools >= 0.84
BuildRequires:  perl-Params-Util >= 1.00
BuildRequires:  perl-Storable >= 2.17
BuildRequires:  perl-Task-Weaken
BuildRequires:  perl-Test-Simple >= 0.86
BuildRequires:  perl-Test-NoWarnings >= 0.084
BuildRequires:  perl-Test-Object >= 0.07
BuildRequires:  perl-Test-SubCalls >= 1.07
Requires:       perl-Clone >= 0.30
Requires:       perl-Digest-MD5 >= 2.35
Requires:       perl-IO-String >= 1.07
Requires:       perl-List-MoreUtils >= 0.16
Requires:       perl-Scalar-Util >= 1.20
Requires:       perl-PathTools >= 0.84
Requires:       perl-Params-Util >= 1.00
Requires:       perl-Storable >= 2.17
Requires:       perl-Task-Weaken
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

## if you do not want to execute test, turn off do_test by specopt
%{?include_specopt}
%{?!do_test: %global do_test 1}

%description
About this Document

%prep
%setup -q -n PPI-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w %{buildroot}/*

%check
%if %{do_test}
make test
%endif

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes LICENSE README
%{perl_vendorlib}/PPI
%{perl_vendorlib}/PPI.pm
%{_mandir}/man3/*

%changelog
* Sun Oct  5 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (1.218-1m)
- update to 1.218

* Sun Jun 29 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (1.215-13m)
- rebuild against perl-5.20.0

* Mon Feb 10 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (1.215-12m)
- rebuild against perl-5.18.2

* Sat Aug 17 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (1.215-11m)
- rebuild against perl-5.18.1

* Mon May 20 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (1.215-10m)
- rebuild against perl-5.18.0

* Sat Mar 16 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (1.215-9m)
- rebuild against perl-5.16.3

* Fri Nov  2 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (1.215-8m)
- rebuild against perl-5.16.2

* Sat Aug 11 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (1.215-7m)
- rebuild against perl-5.16.1

* Sun Jul  8 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (1.215-6m)
- rebuild against perl-5.16.0

* Wed Oct  5 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (1.215-5m)
- rebuild against perl-5.14.2

* Thu Jun 23 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (1.215-4m)
- rebuild against perl-5.14.1

* Thu May 05 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (1.215-3m)
- rebuild against perl-5.14.0-0.2.1m

* Mon Apr 11 2011 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (1.215-2m)
- rebuild for new GCC 4.6

* Sat Feb 26 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (1.215-1m)
- update to 1.215

* Sun Nov 28 2010 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (1.213-4m)
- rebuild for new GCC 4.5

* Sun Sep 26 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1.213-3m)
- rebuild against perl-5.12.2

* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (1.213-2m)
- full rebuild for mo7 release

* Wed Jul  7 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1.213-1m)
- update to 1.213

* Tue May 18 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1.212-2m)
- rebuild against perl-5.12.1

* Sun May 09 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1.212-1m)
- update to 1.212
- Specfile re-generated by cpanspec 1.78.

* Fri Apr 16 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1.210-2m)
- rebuild against perl-5.12.0

* Thu Feb 18 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1.210-1m)
- update to 1.210

* Sun Feb  7 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1.209-1m)
- update to 1.209

* Fri Jan 15 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1.208-1m)
- update to 1.208

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.206-3m)
- rebuild against gcc-4.4 and glibc-2.11

* Mon Aug 24 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (1.206-2m)
- rebuild against perl-5.10.1

* Sun Aug 16 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (1.206-1m)
- update to 1.206

* Wed Aug  5 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (1.205-1m)
- update to 1.205

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.203-2m)
- rebuild against rpm-4.6

* Wed May 14 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.203-1m)
- update to 1.203

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.201-2m)
- rebuild against gcc43

* Mon Oct 22 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.201-1m)
- update to 1.201

* Mon Oct 15 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.200-1m)
- update to 1.200

* Sat Oct 13 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.199_07-1m)
- update to 1.199_07

* Sun Sep  9 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.199_03-1m)
- update to 1.199_03
- do not use %%NoSource macro

* Mon Apr 23 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (1.199_01-2m)
- use vendor

* Wed Nov  8 2006 NARITA Koichi <pulsar@momonga-linux.org>
- (1.199_01-1m)
- update to 1.199_01

* Mon Oct 02 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (1.118-1m)
- Specfile autogenerated by cpanspec 1.68 for Momonga Linux.
